package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 用户状态
 */
@Getter
@AllArgsConstructor
public enum OrderStateEnum {

    /**
     * 预下单
     */
    READY_PAY(0, "预下单"),

    /**
     * 待支付
     */
    WAIT_PAY(1, "待支付"),

    /**
     * 支付成功
     */
    SUCCESS_PAY(2, "支付成功"),

    /**
     * 订单关闭
     */
    CANCEL_PAY(-1, "订单关闭");

    /**
     * 状态
     */
    private final Integer code;

    /**
     * 描述
     */
    private final String msg;
}
